%define libname_orig lib%{name}
%define libname %mklibname %{name} 1
%define develname %mklibname -d %name

%define	name    farsight
%define	version 0.1.24
%define	release %mkrel 1

Summary:	An audio/video conferencing framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://farsight.sourceforge.net/	
Group:		Networking/Instant messaging
Source0:  	http://farsight.freedesktop.org/releases/farsight/%{name}-%{version}.tar.bz2		
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk-doc
BuildRequires:  glib2-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  libjingle-devel
%description

FarSight is an audio/video conferencing framework 
specifically designed for Instant Messengers. It 
aims to provide a code structure that will be able 
to absorb as many video conferencing protocols as 
possible. It also offers an interface to those Instant 
Messengers, allowing them to embed the video feeds and 
controls into them.

FarSight is not a standalone application. It provides two 
APIs, one for interfacing with the different "protocol modules" 
and one for interfacing with the Instant Messenger GUI. There will 
also be a default GUI for those who don't wish to embed the feeds 
into their Instant Messenger's GUI.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Sophia-sip library
Group:		Graphical desktop/KDE
Provides:	%{libname_orig} = %{version}-%{release}
Obsoletes:	%mklibname farsight 0

%description -n %{libname}
Library for %{name}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfarsight-0.1.so.*
%{_sysconfdir}/farsight/gstelements.conf
%{_sysconfdir}/farsight/gstcodecs.conf
%dir %{_sysconfdir}/farsight/
#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel
Obsoletes:	%mklibname -d farsight 0

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/farsight-0.1/farsight/farsight-codec.h
%{_includedir}/farsight-0.1/farsight/farsight-plugin.h
%{_includedir}/farsight-0.1/farsight/farsight-session.h
%{_includedir}/farsight-0.1/farsight/farsight-stream.h
%{_includedir}/farsight-0.1/farsight/farsight-transport.h
%{_includedir}/farsight-0.1/farsight/farsight-interfaces.h
%{_includedir}/farsight-0.1/farsight/farsight-transmitter.h
%{_includedir}/farsight-0.1/farsight/farsight.h
%{_libdir}/pkgconfig/farsight-0.1.pc
%{_libdir}/libfarsight-0.1.la
%{_libdir}/libfarsight-0.1.so
%{_libdir}/farsight-0.1-2/librawudp-transmitter.la
%{_libdir}/farsight-0.1-2/librawudp-transmitter.so
%{_libdir}/farsight-0.1-2/librtp-session.la
%{_libdir}/farsight-0.1-2/librtp-session.so
%{_libdir}/farsight-0.1-2/libjingle-transmitter.la
%{_libdir}/farsight-0.1-2/libjingle-transmitter.so
%{_datadir}/gtk-doc/html/farsight

#--------------------------------------------------------------------

%prep
%setup -q 

%build

sh autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Aug 31 2007 Michael Scherer <misc@mandriva.org> 0.1.24-1mdv2008.0
+ Revision: 76744
- new version

* Tue Aug 21 2007 Michael Scherer <misc@mandriva.org> 0.1.23-1mdv2008.0
+ Revision: 68703
- new version
- add jingle support

* Fri Jul 13 2007 Funda Wang <fundawang@mandriva.org> 0.1.21-3mdv2008.0
+ Revision: 51831
- Obsoletes old major

* Fri Jul 13 2007 Funda Wang <fundawang@mandriva.org> 0.1.21-2mdv2008.0
+ Revision: 51798
- BR against new sofia-sip

* Wed Jul 11 2007 Funda Wang <fundawang@mandriva.org> 0.1.21-1mdv2008.0
+ Revision: 51246
- fix file list
- New version

* Tue May 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.18-1mdv2008.0
+ Revision: 20179
- New version 0.1.18


* Tue Jan 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.10-1mdv2007.0
+ Revision: 115227
-New version 0.1.10
- Add BuildRequires
- Add BuildRequires
- Fix BuildRequires
- New version 1.8
- Import farsight

* Thu Mar 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-0.03232006.2mdk
- Remova wrong require

* Thu Mar 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-0.%%{date}.1mdk
- First mandriva release

